ChangeSet 1.1254.4.40, 2003/06/04 12:34:35-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pnp/resource.c


 drivers/pnp/resource.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pnp/resource.c b/drivers/pnp/resource.c
--- a/drivers/pnp/resource.c	Wed Jun  4 18:09:08 2003
+++ b/drivers/pnp/resource.c	Wed Jun  4 18:09:08 2003
@@ -455,8 +455,8 @@
 #ifdef CONFIG_PCI
 	/* check if the resource is being used by a pci device */
 	if (!pnp_skip_pci_scan) {
-		struct pci_dev * pci;
-		pci_for_each_dev(pci) {
+		struct pci_dev * pci = NULL;
+		while ((pci = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci)) != NULL) {
 			if (pci->irq == *irq)
 				return CONFLICT_TYPE_PCI;
 		}
